Loading...
Searching...
No Matches
Opm::NcpNewtonMethod< TypeTag > Class Template Reference

A Newton solver specific to the NCP model. More...

`#include <ncpnewtonmethod.hh>`

Inheritance diagram for Opm::NcpNewtonMethod< TypeTag >:

## Public Member Functions

| NcpNewtonMethod (Simulator &simulator)

## Protected Member Functions

void | preSolve_ (const SolutionVector &, const GlobalEqVector &currentResidual)
void | updatePrimaryVariables_ (unsigned globalDofIdx, PrimaryVariables &nextValue, const PrimaryVariables &currentValue, const EqVector &update, const EqVector &)
| Update a single primary variables object.

## Protected Attributes

friend | ParentType
friend | NewtonMethod< TypeTag >

## Detailed Description

template<class TypeTag>
class Opm::NcpNewtonMethod< TypeTag >

A Newton solver specific to the NCP model.

## Constructor & Destructor Documentation

## NcpNewtonMethod()

template<class TypeTag>

Opm::NcpNewtonMethod< TypeTag >::NcpNewtonMethod | ( | Simulator & | simulator | ) |

inline explicit

## Member Function Documentation

## updatePrimaryVariables_()

template<class TypeTag>

void Opm::NcpNewtonMethod< TypeTag >::updatePrimaryVariables_ | ( | unsigned | globalDofIdx,
|  | PrimaryVariables & | nextValue,
|  | const PrimaryVariables & | currentValue,
|  | const EqVector & | update,
|  | const EqVector & | )

inline protected

Update a single primary variables object.

The documentation for this class was generated from the following file:

- opm/models/ncp/ncpnewtonmethod.hh